Index: src/northbridge/via/cn700/raminit.c
===================================================================
--- src/northbridge/via/cn700/raminit.c	(revision 5682)
+++ src/northbridge/via/cn700/raminit.c	(working copy)
@@ -152,6 +152,14 @@
 
 	ranks = spd_read_byte(ctrl->channel0[0], SPD_NUM_DIMM_BANKS);
 	ranks = (ranks & 0x07) + 1;
+	if(ranks > 1)
+	{
+		printk(BIOS_DEBUG, "ranks = %02x, setting ranks = 1 to debug. please run memtest to check ram initialization\n", ranks);
+		ranks = 1;
+	} else {
+		printk(BIOS_DEBUG, "ranks = %02x, this is not the problem\n", ranks);
+	}
+
 	density = spd_read_byte(ctrl->channel0[0],
 				SPD_DENSITY_OF_EACH_ROW_ON_MODULE);
 	switch (density) {

